Bug 505141 - lvconvert --repair breaks because partial mode activation is broken on cluster
lvconvert --repair breaks because partial mode activation is broken on cluster
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2-cluster (Show other bugs)
5.4
All Linux
low Severity urgent
: beta
: ---
Assigned To: Petr Rockai
Cluster QE
:
Depends On:
Blocks: 504699
  Show dependency treegraph
 
Reported: 2009-06-10 15:30 EDT by Petr Rockai
Modified: 2010-01-11 23:10 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:58:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cluster-partial.diff (2.79 KB, patch)
2009-06-10 15:30 EDT, Petr Rockai
no flags Details | Diff

  None (edit)
Description Petr Rockai 2009-06-10 15:30:19 EDT
Created attachment 347280 [details]
cluster-partial.diff

QA testing of lvm2 uncovered that mirror repair&hotspare facilities introduced in 5.4 are broken for clustered volume groups (see bug #504699). This needs to be addressed, and patches already exist (I am attaching the current version). Successful inclusion of the new repair functionality depends on this fix, so this should be a blocker.
Comment 4 Milan Broz 2009-06-12 05:06:02 EDT
Patch in lvm2-cluster-2_02_46-6_el5.
Comment 9 Corey Marthaler 2009-07-01 12:32:05 EDT
Fix verified in lvm2-2.02.46-8.el5/lvm2-cluster-2.02.46-8.el5.

I was able to activate a linear in a VG containing missing PVs:

[root@grant-01 ~]# vgchange -ay grant
  Couldn't find device with uuid 'p72WN3-pY5R-SSJC-U3aJ-ZrmT-JTKG-3LsT23'.
  Couldn't find device with uuid 'V0racw-1zS0-IXcA-GefH-1ySM-2XUF-t5ZEQK'.
  Couldn't find device with uuid 'ARDKSU-Cd8d-YNFv-G53f-KWPH-ywaW-PXKqjx'.
  Couldn't find device with uuid 'p72WN3-pY5R-SSJC-U3aJ-ZrmT-JTKG-3LsT23'.
  Couldn't find device with uuid 'V0racw-1zS0-IXcA-GefH-1ySM-2XUF-t5ZEQK'.
  Couldn't find device with uuid 'ARDKSU-Cd8d-YNFv-G53f-KWPH-ywaW-PXKqjx'.
  Couldn't find device with uuid 'p72WN3-pY5R-SSJC-U3aJ-ZrmT-JTKG-3LsT23'.
  Couldn't find device with uuid 'V0racw-1zS0-IXcA-GefH-1ySM-2XUF-t5ZEQK'.
  Couldn't find device with uuid 'ARDKSU-Cd8d-YNFv-G53f-KWPH-ywaW-PXKqjx'.
  1 logical volume(s) in volume group "grant" now active
[root@grant-01 ~]# lvs -a -o +devices
  Couldn't find device with uuid 'p72WN3-pY5R-SSJC-U3aJ-ZrmT-JTKG-3LsT23'.
  Couldn't find device with uuid 'V0racw-1zS0-IXcA-GefH-1ySM-2XUF-t5ZEQK'.
  Couldn't find device with uuid 'ARDKSU-Cd8d-YNFv-G53f-KWPH-ywaW-PXKqjx'.
  Couldn't find device with uuid 'p72WN3-pY5R-SSJC-U3aJ-ZrmT-JTKG-3LsT23'.
  Couldn't find device with uuid 'V0racw-1zS0-IXcA-GefH-1ySM-2XUF-t5ZEQK'.
  Couldn't find device with uuid 'ARDKSU-Cd8d-YNFv-G53f-KWPH-ywaW-PXKqjx'.
  Couldn't find device with uuid 'p72WN3-pY5R-SSJC-U3aJ-ZrmT-JTKG-3LsT23'.
  Couldn't find device with uuid 'V0racw-1zS0-IXcA-GefH-1ySM-2XUF-t5ZEQK'.
  Couldn't find device with uuid 'ARDKSU-Cd8d-YNFv-G53f-KWPH-ywaW-PXKqjx'.
  LV       VG         Attr   LSize  Origin Snap%  Move Log Copy%  Convert Devices        
  LogVol00 VolGroup00 -wi-ao 64.56G                                       /dev/sda2(0)   
  LogVol01 VolGroup00 -wi-ao  9.81G                                       /dev/sda2(2066)
  linear   grant      -wi-a- 10.00G                                       /dev/sdb1(0)
Comment 11 errata-xmlrpc 2009-09-02 07:58:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1394.html

Note You need to log in before you can comment on or make changes to this bug.